[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLQuery.ParseSQL

Should the SQL statement be parsed or not

## Declaration

Source position: sqldb.pp line 483

`published property TSQLQuery.ParseSQL : Boolean;`

## Description

ParseSQL can be set to False to prevent TSQLQuery from parsing the SQL property and attempting to detect the statement type or updating the Params or StatementType properties.

This can be used when SQLDB has problems parsing the SQL statement, or when the SQL statement contains parameters that are part of a DDL statement such as a CREATE PROCEDURE statement to create a stored procedure.

Note that in this case the statement will be passed as-is to the SQL engine, no parameter values will be passed on.

## See also

TSQLQuery.SQL |  | The SQL statement to execute
TSQLQuery.Params |  | Parameters detected in the SQL statement.

Documentation generated on: Feb 26 2014